%define oldname crystal-clear
%{?!_themedir:%define _themedir %{_datadir}/icons/Crystal-Clear}

Name:       kde-icon-theme-crystal-clear
Version:    20050622
Release:    alt1_13

Summary:    Crystal Clear KDE Icon set
Group:      Graphical desktop/Other
License:    LGPLv2+

URL:        http://www.deviantart.com/deviation/19744866/
#http://www.kde-look.org/content/show.php?content=25668

Source:     http://linuxcult.com/crystal/icons/CrystalClear.tar.gz
#http://www.deviantart.com/download/19744866/Crystal_Clear_tar.gz

BuildArch:  noarch
Source44: import.info


%description
Crystal Clear is a KDE Icon set.

%prep
%setup -q -n "Crystal Clear"

%build

%install
%{__mkdir} -p %{buildroot}%{_themedir}
%{__cp} -apf * %{buildroot}%{_themedir}

#deletes hidden files
%{__rm} -f %{buildroot}%{_themedir}/??x??/*/.*.png

#fixed shellbang
chmod -x %{buildroot}%{_themedir}/index.desktop

# Removed non-lgpl firefox icons
%{__rm} -f %{buildroot}%{_themedir}/48x48/apps/firefox.png
%{__rm} -f %{buildroot}%{_themedir}/32x32/apps/firefox.png
%{__rm} -f %{buildroot}%{_themedir}/16x16/apps/firefox.png

ln -s browser.png %{buildroot}%{_themedir}/128x128/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/48x48/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/32x32/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/16x16/apps/firefox.png

#kontact icons
ln -s ../apps/lists.png %{buildroot}%{_themedir}/48x48/actions/kontact_summary.png
ln -s ../apps/email.png %{buildroot}%{_themedir}/48x48/actions/kontact_mail.png
ln -s ../apps/kdmconfig.png %{buildroot}%{_themedir}/48x48/actions/kontact_contacts.png
ln -s ../apps/date.png %{buildroot}%{_themedir}/48x48/actions/kontact_date.png
ln -s ../apps/lassists.png %{buildroot}%{_themedir}/48x48/actions/kontact_todo.png
ln -s ../apps/lreminder.png %{buildroot}%{_themedir}/48x48/actions/kontact_notes.png
ln -s ../apps/ark.png %{buildroot}%{_themedir}/48x48/actions/basket.png

# setting new kontact icon
# backup
%{__mv} %{buildroot}%{_themedir}/16x16/apps/kontact.png %{buildroot}%{_themedir}/16x16/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/22x22/apps/kontact.png %{buildroot}%{_themedir}/22x22/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/32x32/apps/kontact.png %{buildroot}%{_themedir}/32x32/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/48x48/apps/kontact.png %{buildroot}%{_themedir}/48x48/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/64x64/apps/kontact.png %{buildroot}%{_themedir}/64x64/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/128x128/apps/kontact.png %{buildroot}%{_themedir}/128x128/apps/kontact_orig.png

# links from kworldclock.png
ln -s kworldclock.png %{buildroot}%{_themedir}/16x16/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/22x22/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/32x32/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/48x48/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/64x64/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/128x128/apps/kontact.png


%files
%{_themedir}/

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 20050622-alt1_13
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 20050622-alt1_12
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 20050622-alt1_11
- fc import

